Configuration file not under /etc

Bug #14726 reported by Debian Bug Importer on 2005-03-30
8
Affects Status Importance Assigned to Milestone
xorg (Debian)
New
Unknown
xorg (Ubuntu)
Wishlist
Unassigned

Bug Description

Automatically imported from Debian bug report #236252 http://bugs.debian.org/236252

severity 236252 serious
retitle 236252 Configuration file not under /etc
thanks

Hi,

        The Compose key map configuration file, which can be used to
 extend the functionality of the compose key by editing the
 configuration files under /usr/X11R6/lib/X11/locale, is not under
 /etc. This is in clear violation of a MUST rule in policy, and thus
 this escalation in severity is warranted. Whether or not this is
 release critical is up to the release team, of course.

 This is not a frivolous request; I would very much appreciate
 a means for entering indic characters under X, and not have my
 changes be blown away every time X is upgraded.

 I would suggest that the files be kept under /etc, and a
 symbolic link be placed in /usr/X11R6/lib/X11/ for minimum
 disruption.

 manoj
--
"I hate quotations. Tell me what you know." Ralph Waldo Emerson
Manoj Srivastava <email address hidden> <http://www.debian.org/%7Esrivasta/>
1024D/BF24424C print 4966 F272 D093 B493 410B 924B 21BA DABB BF24 424C

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #236252 http://bugs.debian.org/236252

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 5 Mar 2004 07:29:05 +0100
From: Leonard Michlmayr <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: xlibs-data: Please make Compose a config file

Package: xlibs-data
Version: 4.3.0-3
Severity: wishlist

Whenever I update xlibs-data dpkg overwrites the Compose files
(e.G. /usr/X11R6/lib/X11/locale/en_US.UTF-8/Compose). I think I
am not the only user who customizes this file. Please mark it
as config file so that dpkg leaves the file in place or saves a
backup copy.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.3
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8

-- no debconf information

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 30 Mar 2005 11:07:06 -0600
From: Manoj Srivastava <<email address hidden> (va, manoj)>
To: <email address hidden>, <email address hidden>
Subject: Configuration file not under /etc

severity 236252 serious
retitle 236252 Configuration file not under /etc
thanks

Hi,

        The Compose key map configuration file, which can be used to
 extend the functionality of the compose key by editing the
 configuration files under /usr/X11R6/lib/X11/locale, is not under
 /etc. This is in clear violation of a MUST rule in policy, and thus
 this escalation in severity is warranted. Whether or not this is
 release critical is up to the release team, of course.

 This is not a frivolous request; I would very much appreciate
 a means for entering indic characters under X, and not have my
 changes be blown away every time X is upgraded.

 I would suggest that the files be kept under /etc, and a
 symbolic link be placed in /usr/X11R6/lib/X11/ for minimum
 disruption.

 manoj
--
"I hate quotations. Tell me what you know." Ralph Waldo Emerson
Manoj Srivastava <email address hidden> <http://www.debian.org/%7Esrivasta/>
1024D/BF24424C print 4966 F272 D093 B493 410B 924B 21BA DABB BF24 424C

Daniel Stone (daniels) wrote :

It's not configuration (/etc), it's architecture-independent data (/usr/lib).
If you want to customise it, divert it or something. What a ludicrously
inflated severity.

severity 236252 important
thanks

Hi Manoj,

I don't actually see anything in current policy that mandates the
reading that configuration files are "any file that someone may wish to
edit". This is generally good sense, but there may be other factors
(such as the cost of debugging a transition path for the file, and the
impending freeze); so I don't really think this is release-critical, and
I also don't think it's a policy violation, strictly speaking.

--
Steve Langasek
postmodern programmer

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 30 Mar 2005 19:38:04 -0800
From: Steve Langasek <email address hidden>
To: <email address hidden>, Manoj Srivastava <email address hidden>
Subject: Re: Configuration file not under /etc

--76DTJ5CE0DCVQemd
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

severity 236252 important
thanks

Hi Manoj,

I don't actually see anything in current policy that mandates the
reading that configuration files are "any file that someone may wish to
edit". This is generally good sense, but there may be other factors
(such as the cost of debugging a transition path for the file, and the
impending freeze); so I don't really think this is release-critical, and
I also don't think it's a policy violation, strictly speaking.

--=20
Steve Langasek
postmodern programmer

--76DTJ5CE0DCVQemd
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCS3CXKN6ufymYLloRAkvYAJ0cMoTqWoyScyv+fApuAssjccdUtwCgjSJf
AHgpYXjp4IrUiLTYVIgRXJ0=
=Yydy
-----END PGP SIGNATURE-----

--76DTJ5CE0DCVQemd--

10.7. Configuration files
-------------------------

10.7.1. Definitions
-------------------

     configuration file
          A file that affects the operation of a program, or provides site-
          or host-specific information, or otherwise customizes the
          behavior of a program. Typically, configuration files are
          intended to be modified by the system administrator (if needed or
          desired) to conform to local policy or to provide more useful
          site-specific behavior.

 Something that causes X to interpret my key strokes, and
 insert characters, is definitely a configuration file.

 Why else would X authors create a file where key bindings are
 defined, if it was not meant to be modified by the local admin or
 users? They could easily have hardcoded it in code were it not meant
 to be modifiable at run time.

 Frankly, I fail to see how you can call a run time changeable
 key bindings anything but a configuration file.

 And policy is pretty clear on what is or is not a
 configuration file as well.

 So, this is serious, but you may also set it to be
 sarge-ignore, as is your prerogative.

 manoj
--
> Tut mir Leid, Jost, aber Du bist ein unertraeglicher Troll. Was soll
> das? Du *beleidigst* die Trolle! -- de.comp.os.unix.linux.misc
Manoj Srivastava <email address hidden> <http://www.golden-gryphon.com/>
1024D/BF24424C print 4966 F272 D093 B493 410B 924B 21BA DABB BF24 424C

# Automatically generated email from bts, devscripts version 2.8.10
tags 236252 sarge-ignore

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 31 Mar 2005 13:47:33 -0600
From: Manoj Srivastava <email address hidden>
To: <email address hidden>, <email address hidden>
Subject: Policy clarification

10.7. Configuration files
-------------------------

10.7.1. Definitions
-------------------

     configuration file
          A file that affects the operation of a program, or provides site-
          or host-specific information, or otherwise customizes the
          behavior of a program. Typically, configuration files are
          intended to be modified by the system administrator (if needed or
          desired) to conform to local policy or to provide more useful
          site-specific behavior.

 Something that causes X to interpret my key strokes, and
 insert characters, is definitely a configuration file.

 Why else would X authors create a file where key bindings are
 defined, if it was not meant to be modified by the local admin or
 users? They could easily have hardcoded it in code were it not meant
 to be modifiable at run time.

 Frankly, I fail to see how you can call a run time changeable
 key bindings anything but a configuration file.

 And policy is pretty clear on what is or is not a
 configuration file as well.

 So, this is serious, but you may also set it to be
 sarge-ignore, as is your prerogative.

 manoj
--
> Tut mir Leid, Jost, aber Du bist ein unertraeglicher Troll. Was soll
> das? Du *beleidigst* die Trolle! -- de.comp.os.unix.linux.misc
Manoj Srivastava <email address hidden> <http://www.golden-gryphon.com/>
1024D/BF24424C print 4966 F272 D093 B493 410B 924B 21BA DABB BF24 424C

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Thu, 31 Mar 2005 15:26:12 -0800
From: Steve Langasek <email address hidden>
To: <email address hidden>
Subject: tagging 236252

# Automatically generated email from bts, devscripts version 2.8.10
tags 236252 sarge-ignore

Debian Bug Importer (debzilla) wrote :
Download full text (14.4 KiB)

Message-ID: <email address hidden> (added by <email address hidden>)
Date: Mon, 18 Apr 2005 10:55:58 +0200 (added by <email address hidden>)
FROM: "Microsoft Corporation Program Security Center" <email address hidden>
TO: "Commercial Customer" <email address hidden>
SUBJECT: Newest Microsoft Critical Patch

--========/41E3216700D22E0A/pne-smtpout1-sn2.hy.skanova.net
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

This message had an attachment which were found to contain the following virus(es):

    File 'Attachment' was infected with virus 'W32.Swen.A@mm' (ID 34162)

The infected file(s) were cleaned or removed from the attachment
----------------------------------------------------------------------

--========/41E3216700D22E0A/pne-smtpout1-sn2.hy.skanova.net
Content-Type: Message/RFC822

Received: from eagxrcd (212.181.174.43) by pne-smtpout1-sn2.hy.skanova.net (7.1.026.7) id
 41E3216700D22E06; Mon, 18 Apr 2005 10:55:58 +0200
Date: Mon, 18 Apr 2005 10:55:58 +0200 (added by <email address hidden>)
Message-ID: <email address hidden> (added by <email address hidden>)
FROM: "Microsoft Corporation Program Security Center" <email address hidden>
TO: "Commercial Customer" <email address hidden>
SUBJECT: Newest Microsoft Critical Patch
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="blbfmdqci"

Content-Type: multipart/mixed; boundary="blbfmdqci"

--blbfmdqci
Content-Type: multipart/related; boundary="ksqwlsufi"; type="multipart/alternative"

--ksqwlsufi
Content-Type: multipart/alternative; boundary="xkogfrbihnfbwsk"

--xkogfrbihnfbwsk
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Microsoft Customer

this is the latest version of security update, the
"April 2005, Cumulative Patch" update which fixes
all known security vulnerabilities affecting
MS Internet Explorer, MS Outlook and MS Outlook Express
as well as three new vulnerabilities.
Install now to help maintain the security of your computer
from these vulnerabilities, the most serious of which could
allow an attacker to run code on your system.
This update includes the functionality =
of all previously released patches.

System requirements: Windows 95/98/Me/2000/NT/XP
This update applies to:
 - MS Internet Explorer, version 4.01 and later
 - MS Outlook, version 8.00 and later
 - MS Outlook Express, version 4.01 and later

Recommendation: Customers should install the patch =
at the earliest opportunity.
How to install: Run attached file. Choose Yes on displayed dialog box.
How to use: You don't need to do anything after installing this item.

Microsoft Product Support Services and Knowledge Base articles =
can be found on the Microsoft Technical Support web site.
http://support.microsoft.com/

For security-related information about Microsoft products, please =
visit the Microsoft Security Advisor web site
http://www.microsoft.com/security/

Thank you for using Microsoft products.

Please do not reply to this message.
It was sent from an unmonitored e-mail address and we are unable =
to respond to any replies.

---------------------...

Hi!

I was just to report a new bug that the Compose files should be moved
in /etc when I saw this bug about

/usr/X11R6/lib/X11/locale/en_US.UTF-8/Compose

Please move to /etc all Compose files, not only the cited in the bug
report.

Anton Zinoviev

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 13 Oct 2005 18:08:59 +0300
From: Anton Zinoviev <email address hidden>
To: <email address hidden>
Subject: Please move all compose files in /etc

Hi!

I was just to report a new bug that the Compose files should be moved
in /etc when I saw this bug about

/usr/X11R6/lib/X11/locale/en_US.UTF-8/Compose

Please move to /etc all Compose files, not only the cited in the bug
report.

Anton Zinoviev

On Thu, Oct 13, 2005 at 06:08:59PM +0300, Anton Zinoviev wrote:
> Hi!
>
> I was just to report a new bug that the Compose files should be moved
> in /etc when I saw this bug about
>
> /usr/X11R6/lib/X11/locale/en_US.UTF-8/Compose
>
> Please move to /etc all Compose files, not only the cited in the bug
> report.

Hi Anton,

please have a look at
    http://www.xfree86.org/4.4.0/RELNOTES5.html#42
Sysadmins can override default settings by providing customized
compose files, say /etc/X11/Compose:
  include "%L"
  # My own compose sequences
  <Multi_key> <f> <o> <o> : bar
and tweak init scripts to set XCOMPOSEFILE=/etc/X11/Compose.

IMO this solution is much better than having lots of conffiles.
If this is a reasonable solution, maybe this bug can be closed?

Denis

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 9 Jan 2006 11:55:57 +0100
From: Denis Barbier <email address hidden>
To: Anton Zinoviev <email address hidden>, <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#236252: Please move all compose files in /etc

On Thu, Oct 13, 2005 at 06:08:59PM +0300, Anton Zinoviev wrote:
> Hi!
>
> I was just to report a new bug that the Compose files should be moved
> in /etc when I saw this bug about
>
> /usr/X11R6/lib/X11/locale/en_US.UTF-8/Compose
>
> Please move to /etc all Compose files, not only the cited in the bug
> report.

Hi Anton,

please have a look at
    http://www.xfree86.org/4.4.0/RELNOTES5.html#42
Sysadmins can override default settings by providing customized
compose files, say /etc/X11/Compose:
  include "%L"
  # My own compose sequences
  <Multi_key> <f> <o> <o> : bar
and tweak init scripts to set XCOMPOSEFILE=/etc/X11/Compose.

IMO this solution is much better than having lots of conffiles.
If this is a reasonable solution, maybe this bug can be closed?

Denis

> IMO this solution is much better than having lots of conffiles.
> If this is a reasonable solution, maybe this bug can be closed?

I think this is a good solution. Thank you. Closing the bug is ok with
me.

Leonard

Debian Bug Importer (debzilla) wrote :

Message-Id: <1136838289.28773.3.camel@Wanderer>
Date: Mon, 09 Jan 2006 21:24:49 +0100
From: Leonard Michlmayr <email address hidden>
To: <email address hidden>, Denis Barbier <email address hidden>
Subject: Re: Bug#236252: Please move all compose files in /etc

> IMO this solution is much better than having lots of conffiles.
> If this is a reasonable solution, maybe this bug can be closed?

I think this is a good solution. Thank you. Closing the bug is ok with
me.

Leonard

On Mon, Jan 09, 2006 at 11:55:57AM +0100, Denis Barbier wrote:
>
> IMO this solution is much better than having lots of conffiles.

I agree.

> If this is a reasonable solution, maybe this bug can be closed?

Yes. It would be nice to provide /etc/X11/Compose file and to set the
XCOMPOSEFILE variable correspondingly. Otherwise the users will not
know about this feature.

Anton Zinoviev

On Wed, Jan 11, 2006 at 12:02:27AM +0200, Anton Zinoviev wrote:
> On Mon, Jan 09, 2006 at 11:55:57AM +0100, Denis Barbier wrote:
> >
> > IMO this solution is much better than having lots of conffiles.
>
> I agree.
>
> > If this is a reasonable solution, maybe this bug can be closed?
>
> Yes. It would be nice to provide /etc/X11/Compose file and to set the
> XCOMPOSEFILE variable correspondingly. Otherwise the users will not
> know about this feature.

My suggestion was that sysadmins do the work if they want to,
but your proposal is much better. If there is no objection,
I will implement it.

Denis

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 11 Jan 2006 00:02:27 +0200
From: Anton Zinoviev <email address hidden>
To: Denis Barbier <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#236252: Please move all compose files in /etc

On Mon, Jan 09, 2006 at 11:55:57AM +0100, Denis Barbier wrote:
>
> IMO this solution is much better than having lots of conffiles.

I agree.

> If this is a reasonable solution, maybe this bug can be closed?

Yes. It would be nice to provide /etc/X11/Compose file and to set the
XCOMPOSEFILE variable correspondingly. Otherwise the users will not
know about this feature.

Anton Zinoviev

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 10 Jan 2006 23:15:55 +0100
From: Denis Barbier <email address hidden>
To: Anton Zinoviev <email address hidden>, <email address hidden>
Subject: Re: Bug#236252: Please move all compose files in /etc

On Wed, Jan 11, 2006 at 12:02:27AM +0200, Anton Zinoviev wrote:
> On Mon, Jan 09, 2006 at 11:55:57AM +0100, Denis Barbier wrote:
> >
> > IMO this solution is much better than having lots of conffiles.
>
> I agree.
>
> > If this is a reasonable solution, maybe this bug can be closed?
>
> Yes. It would be nice to provide /etc/X11/Compose file and to set the
> XCOMPOSEFILE variable correspondingly. Otherwise the users will not
> know about this feature.

My suggestion was that sysadmins do the work if they want to,
but your proposal is much better. If there is no objection,
I will implement it.

Denis

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Wed, 11 Jan 2006 11:13:40 +0100
From: David =?iso-8859-1?q?Mart=EDnez_Moreno?= <email address hidden>
To: Denis Barbier <email address hidden>, <email address hidden>
Subject: Re: Bug#236252: Please move all compose files in /etc

--nextPart1435491.j6aAabKGEs
Content-Type: text/plain;
  charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

El martes, 10 de enero de 2006 23:15, Denis Barbier escribi=F3:
> On Wed, Jan 11, 2006 at 12:02:27AM +0200, Anton Zinoviev wrote:
> > On Mon, Jan 09, 2006 at 11:55:57AM +0100, Denis Barbier wrote:
> > Yes. It would be nice to provide /etc/X11/Compose file and to set the
> > XCOMPOSEFILE variable correspondingly. Otherwise the users will not
> > know about this feature.
>
> My suggestion was that sysadmins do the work if they want to,
> but your proposal is much better. If there is no objection,
> I will implement it.

 Then please feel free to retitle this bug for tracking this issue.

 Best regards,

  Ender.
=2D-=20
What was that, honey? It was bad. It had no fire, no energy, no nothing.
 So tomorrow from 5 to 7 will you PLEASE act like you have more than a
 two word vocabulary. It must be green.
  -- DJ Ruby Rhod (The Fifth Element).
=2D-
Desarrollador de Debian
Debian developer

--nextPart1435491.j6aAabKGEs
Content-Type: application/pgp-signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD4DBQBDxNpaWs/EhA1iABsRAik/AJdRqZzrAT2UkOsyquT87p5T4E3vAKC8j62K
rXYRLDiEzo7uNIvxNyd1QQ==
=ns5w
-----END PGP SIGNATURE-----

--nextPart1435491.j6aAabKGEs--

El martes, 10 de enero de 2006 23:15, Denis Barbier escribió:
> On Wed, Jan 11, 2006 at 12:02:27AM +0200, Anton Zinoviev wrote:
> > On Mon, Jan 09, 2006 at 11:55:57AM +0100, Denis Barbier wrote:
> > Yes. It would be nice to provide /etc/X11/Compose file and to set the
> > XCOMPOSEFILE variable correspondingly. Otherwise the users will not
> > know about this feature.
>
> My suggestion was that sysadmins do the work if they want to,
> but your proposal is much better. If there is no objection,
> I will implement it.

 Then please feel free to retitle this bug for tracking this issue.

 Best regards,

  Ender.
--
What was that, honey? It was bad. It had no fire, no energy, no nothing.
 So tomorrow from 5 to 7 will you PLEASE act like you have more than a
 two word vocabulary. It must be green.
  -- DJ Ruby Rhod (The Fifth Element).
--
Desarrollador de Debian
Debian developer

retitle 236252 Please provide an /etc/X11/Compose file to preserve local changes
severity 236252 wishlist

Daniel Stone (daniels) on 2006-03-10
Changed in xorg:
assignee: daniels → nobody
Henrik Nilsen Omma (henrik) wrote :

This was a direct debian import. There has neen no activity on the debian BTS for 3 months and none at all on Ubuntu directly, so I'm closing it.

Changed in xorg:
status: Unconfirmed → Rejected

package xlibs-data
reassign 119524 libx11-data
reassign 289327 xcursor-themes
reassign 295356 libx11-data
reassign 300160 libx11-data
reassign 326981 xcursor-themes

# Good heavens, xlibs is still around? How will we ever get rid of it?
reassign 345645 xlibs

reassign 280579 xkb-data
reassign 39040 libx11-data
reassign 212347 libx11-data
reassign 236252 libx11-data
thanks

--
Kevin B. McCarty <email address hidden> Physics Department
WWW: http://www.princeton.edu/~kmccarty/ Princeton University
GPG: public key ID 4F83C751 Princeton, NJ 08544

# Automatically generated email from bts, devscripts version 2.9.26
tags 236252 - sarge-ignore

Hi Denis,

About a year ago, after some discussion regarding whether Compose files
under /usr should be conffiles and/or moved to /etc, you ended up
retitling this bug and saying that you would work on providing a
/etc/X11/Compose fie to preserve local changes. Is there anything new
about this?

Thanks,
Brice

On Mon, Feb 12, 2007 at 10:37:33AM +0100, Brice Goglin wrote:
> Hi Denis,
>
> About a year ago, after some discussion regarding whether Compose files
> under /usr should be conffiles and/or moved to /etc, you ended up
> retitling this bug and saying that you would work on providing a
> /etc/X11/Compose fie to preserve local changes. Is there anything new
> about this?

Hi Brice,

I wanted to ship an /etc/X11/Compose file containing these 3 lines:
   include "%L"
   # Add your own compose sequences below, they will be preserved
   # on upgrades
Some changes are needed to have this file taken into account, e.g.
by setting XCOMPOSEFILE=/etc/X11/Compose before X is launched, and
I did not find time to get any further. If you want to fix this
bug, you need to
  1. decide which package owns /etc/X11/Compose
  2. add a script file (under /etc/X11/Xsession.d/ ?) to set XCOMPOSEFILE

Denis

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.